Bug 1503070 - Should be able to manage RHGS 3.4 nodes in RHV 4.2 [NEEDINFO]
Summary: Should be able to manage RHGS 3.4 nodes in RHV 4.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: vdsm
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Timothy Asir
QA Contact: SATHEESARAN
URL:
Whiteboard:
: 1493440 (view as bug list)
Depends On: 1550389
Blocks: 1503134 1547417
TreeView+ depends on / blocked
 
Reported: 2017-10-17 10:18 UTC by Sahina Bose
Modified: 2018-09-24 05:29 UTC (History)
9 users (show)

Fixed In Version: ovirt-host-4.1.0-2.1.el7rhgs, vdsm-4.19.43-2.1.el7rhgs
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
The vdsm package has been upgraded to upstream version 4.19, which provides a number of bug fixes and enhancements over the previous version. This update allows Red Hat Gluster Storage 3.4 nodes with a cluster compatibility version of 4.1 to be managed by Red Hat Virtualization.
Clone Of:
: 1547417 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:56:55 UTC
Target Upstream Version:
lbailey: needinfo? (tjeyasin)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2611 None None None 2018-09-04 06:57:10 UTC

Description Sahina Bose 2017-10-17 10:18:48 UTC
Description of problem:
RHV 4.2 has introduced ovirt-host packages. We need to make sure that RHGS 3.4 ships this package in order to b

Version-Release number of selected component (if applicable):


How reproducible:
Alwayd

Steps to Reproduce:
1. Add RHGS 3.4 node to 3.6 cluster level in RHV 4.2


Actual results:
NA

Expected results:
Should be able to manage the 3.4 nodes from RHV 4.2

Comment 1 Sahina Bose 2017-11-13 10:06:27 UTC
Tim,

We need the ovirt-host packages to be shipped in RHGS 3.4 - we should also check if rebasing vdsm to 4.1.7 is an option for RHEL 7. (RHEL 6 - as vdsm 4.1.7 does not support el6 we don't have this option)

If rebasing vdsm for rhgs-3.4-rhel-7 - we should be able to add the node in RHGS-C (based on older version ovirt-3.5) as well as RHV-M 4.2

Comment 4 Sahina Bose 2018-04-23 10:59:08 UTC
RHV 4.2 has introduced ovirt-host packages. We need to make sure that RHGS 3.4 ships this package in order to be able to add node to RHV 4.2 (4.1 cluster level)

To test this, create a "gluster service" enabled cluster in RHV-M 4.2 and add the RHGS 3.4 nodes to this.

Comment 5 SATHEESARAN 2018-05-07 02:29:49 UTC
With the latest vdsm for RHGS ( vdsm-4.19.43-2.3.el7rhgs.x86_64 ) and ovirt-host-4.1.0-2.1.el7rhgs.noarch, RHGS node could be added to 4.1 compatibility cluster in RHV Manager 4.2. Verified the same functionally

But these vdsm & ovirt-host packages are not available in errata. So not verifying this bug

Comment 9 SATHEESARAN 2018-05-10 07:40:37 UTC
Verified with comment5

Comment 12 errata-xmlrpc 2018-09-04 06:56:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2611

Comment 13 Sahina Bose 2018-09-24 05:29:48 UTC
*** Bug 1493440 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.